## org.apache.mahout.math.random
Interface Sampler<T>

All Known Implementing Classes:
  AbstractSamplerFunction, ChineseRestaurant, Empirical, IndianBuffet, Missing, Multinomial, MultiNormal, Normal, PoissonSampler

    public interface Sampler<T>

Samples from a generic type.

Method Summary
`T` `sample()`

Method Detail

### sample

    T sample()

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.